/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { ColumnDescription } from "./ColumnDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let TextColumnDescription = /*@__PURE__*/ (() => {
    class TextColumnDescription extends ColumnDescription {
        constructor() {
            super();
            this.fh = null;
            this.ff = null;
            this.fc = null;
            this.fg = null;
            this.fa = null;
        }
        get_type() {
            return "TextColumn";
        }
        get editorType() {
            return this.fh;
        }
        set editorType(a) {
            this.fh = a;
            this.e("EditorType");
        }
        get editorDataSourceRef() {
            return this.ff;
        }
        set editorDataSourceRef(a) {
            this.ff = a;
            this.e("EditorDataSourceRef");
        }
        get editorDataSource() {
            return this.fc;
        }
        set editorDataSource(a) {
            this.fc = a;
            this.e("EditorDataSource");
        }
        get editorTextField() {
            return this.fg;
        }
        set editorTextField(a) {
            this.fg = a;
            this.e("EditorTextField");
        }
        get editorValueField() {
            return this.fa;
        }
        set editorValueField(a) {
            this.fa = a;
            this.e("EditorValueField");
        }
    }
    TextColumnDescription.$t = markType(TextColumnDescription, 'TextColumnDescription', ColumnDescription.$);
    TextColumnDescription.__canMarshalByValue1 = true;
    return TextColumnDescription;
})();
